# Results


## Compatibility test

Comparing sample properties:

$$
  p = 1 - \text{erf} \left( \frac{t}{\sqrt{2}} \right)\ \with
  t = \frac{|x\ex - x\ob|}{\sqrt{\sigma\ex^2 + \sigma\ob^2}}
$$

- $x\ex$ and $x\ob$ are the expected and observed values
- $\sigma\ex$ and $\sigma\ob$ are their absolute errors

. . .

At 95% confidence level, the values are compatible if:
$$
  p > 0.05
$$


## Compatibility test

\setbeamercovered{}
\begin{center}
\begin{tikzpicture}[>=Stealth]
  %notes
  \draw [very thick, gray] (0,0) -- (0,3);
  \draw [very thick, gray] (-1.45,1.5) -- (1.45,1.5);
  \draw [very thick, gray] (-1.35,1.3) -- (-1.55,1.7);
  \draw [very thick, gray] ( 1.35,1.3) -- ( 1.55,1.7);
  \node at (0,-0.4) {$x\ex$};
  \node [right] at (1.7,1.7) {$2 \, \sqrt{\sigma\ex^2 + \sigma\ob^2}$};
  % axes
  \draw [very thick, <->] (-5,4) -- (-5,0) -- (5,0);
  \node [right] at (5,0) {$x$};
  % Gaussian
  \draw [domain=-5:5, smooth, variable=\x, cyclamen, very thick]
      plot ({\x}, {3*exp(-(\x*\x/3))});
  \pause
  % area
  \fill [domain=2:5, smooth, variable=\x, cyclamen!20!white, very thick]
        (2,0) -- plot ({\x}, {3*exp(-(\x*\x/3))}) -- (5,0) -- cycle;
  \fill [domain=-5:-2, smooth, variable=\x, cyclamen!20!white, very thick]
        (-5,0) -- plot ({\x}, {3*exp(-(\x*\x/3))}) -- (-2,0) -- cycle;
  % axes
  \draw [very thick, <->] (-5,4) -- (-5,0) -- (5,0);
  % Gaussian
  \draw [domain=-5:5, smooth, variable=\x, cyclamen, very thick]
      plot ({\x}, {3*exp(-(\x*\x/3))});
  %notes
  \draw [thick, cyclamen] (-2,0) -- (-2,0.8);
  \draw [thick, cyclamen] ( 2,0) -- ( 2,0.8);
  \node at (2,-0.4) {$x\ob$};
\end{tikzpicture}
\end{center}
\setbeamercovered{transparent}


## L sample results

\begin{center}
\begin{tabular}{rcccc}
  \toprule
                         &     & median      & mode        & fwhm        \\
  \midrule
  \multirow{2}{*}{50000} & $t$ & 0.761       & 1.012       & 1.338       \\
                         & $p$ & \gre{0.446} & \gre{0.311} & \gre{0.181} \\
  \midrule
  \multirow{2}{*}{5000}  & $t$ & 2.263       & 0.084       & 1.767       \\
                         & $p$ & \red{0.023} & \gre{0.933} & \gre{0.077} \\
  \midrule
  \multirow{2}{*}{1000}  & $t$ & 1.549       & 0.072       & 3.790       \\
                         & $p$ & \gre{0.121} & \gre{0.943} & \red{0.000} \\
  \toprule
\end{tabular}
\end{center}

\setbeamercovered{}
\begin{center}
\begin{tikzpicture}[>=Stealth, overlay]
  \pause
  % Left note
  \draw [fill=white] (-5.5,-0.1) rectangle (-1.85,1.1);
  \node [above right, align=left] at (-5.5,-0.1) {$m\ex = 1.356...$\\$m\ob = 1.402 \pm 0.020$};
  \draw [cyclamen, ->, very thick] (-3.5,1.1) to [out=90, in=-135] (-1.2, 2);
  \pause
  % Right note
  \draw [fill=white] (2,2.5) rectangle (5.2,3.7);
  \node [above right, align=left] at (2,2.5) {$w\ex = 4.02...$\\$w\ob = 5.08 \pm 0.28$};
  \draw [cyclamen, ->, very thick] (4.5, 2.5) to [out=-90, in=0] (3.5, 0.8);
\end{tikzpicture}
\end{center}
\setbeamercovered{transparent}


## M sample results

\begin{center}
\begin{tabular}{rcccc}
  \toprule
                         &     & median      & mode        & fwhm        \\
  \midrule
  \multirow{2}{*}{50000} & $t$ & 669.9       & 0.732       & 1.329       \\
                         & $p$ & \gre{0.000} & \gre{0.464} & \gre{0.184} \\
  \midrule
  \multirow{2}{*}{5000}  & $t$ & 108.6       & 0.683       & 0.588       \\
                         & $p$ & \gre{0.000} & \gre{0.495} & \gre{0.556} \\
  \midrule                    
  \multirow{2}{*}{1000}  & $t$ & 25.47       & 0.665       & 1.890       \\
                         & $p$ & \gre{0.000} & \gre{0.506} & \gre{0.059} \\
  \toprule
\end{tabular}
\end{center}


## KS samples results

\begin{center}
\begin{tabular}{rccc}
  \toprule
                         &     & L sample     & M sample     \\
  \midrule
  \multirow{2}{*}{50000} & $D$ & 0.004        & 0.153        \\
                         & $p$ & \gre{0.379}  & \gre{0.000}  \\
  \midrule                    
  \multirow{2}{*}{5000}  & $D$ & 0.008        & 0.151        \\
                         & $p$ & \gre{0.812}  & \gre{0.000}  \\
  \midrule                    
  \multirow{2}{*}{1000}  & $D$ & 0.020        & 0.162        \\
                         & $p$ & \gre{0.794}  & \gre{0.000}  \\
  \midrule                    
  \multirow{2}{*}{200}   & $D$ & 0.086        & 0.226        \\
                         & $p$ & \gre{0.100}  & \gre{0.000}  \\
  \toprule
\end{tabular}
\end{center}


## Trapani samples results

\begin{center}
\begin{tabular}{rccccc}
  \toprule
                         & & \multicolumn{2}{c}{L sample} & \multicolumn{2}{c}{M sample}    \\
                         &          & $\mu_1$     & $\mu_2$     & $\mu_1$     & $\mu_2$     \\
  \midrule
  \multirow{2}{*}{50000} & $\Theta$ & 0.255       & 0.432       & 161.1       & 162.5       \\
                         & $p$      & \gre{0.614} & \gre{0.511} & \gre{0.000} & \gre{0.000} \\
  \midrule                                        
  \multirow{2}{*}{1000}  & $\Theta$ & 0.809       & 0.809       & 10.83       & 5.823       \\
                         & $p$      & \gre{0.368} & \gre{0.368} & \gre{0.016} & \gre{0.001} \\
  \midrule                                        
  \multirow{2}{*}{200}   & $\Theta$ & 0.472       & 0.170       & 2.232       & 2.981       \\
                         & $p$      & \gre{0.492} & \gre{0.680} & \red{0.135} & \red{0.084} \\
  \toprule
\end{tabular}
\end{center}
